Blender 2.80 not working on Linux

I am unable to run 2.8 on peppermint Linux.
Using “blender-2.80-05dc109553-linux-glibc219-x86_64.tar.bz2” built on 18th June 2018.

lspci -nn | grep VGA
00:01.0 VGA compatible controller [0300]: Advanced Micro Devices, Inc. [AMD/ATI] Wrestler [Radeon HD 6320] [1002:9806]

When running blender in terminal, I get
Read prefs: /home/philip/My Programs/3D Software/Blender/2.80/2.80/config/userpref.blend
Received X11 Error:
error code: 181
request code: 156
minor code: 34
error text: GLXBadFBConfig
Received X11 Error:
error code: 181
request code: 156
minor code: 34
error text: GLXBadFBConfig
Received X11 Error:
error code: 181
request code: 156
minor code: 34
error text: GLXBadFBConfig
Received X11 Error:
error code: 181
request code: 156
minor code: 34
error text: GLXBadFBConfig
Received X11 Error:
error code: 181
request code: 156
minor code: 34
error text: GLXBadFBConfig
Received X11 Error:
error code: 181
request code: 156
minor code: 34
error text: GLXBadFBConfig
Received X11 Error:
error code: 8
request code: 156
minor code: 34
error text: BadMatch (invalid parameter attributes)
found bundled python: /home/philip/My Programs/3D Software/Blender/2.80/2.80/python
GPUTexture: texture create failedGPUTexture: texture create failedWriting: /tmp/blender.crash.txt
Segmentation fault

Apparently a lot of people with amd gpus have had issues with 2.8. It is important to remember that 2.8 isn’t even in beta atm. They aren’t even taking bug reports for it right now.

Hopefully, they can get it working again.:crossed_fingers:

Since around June 12th I’ve been having similar errors with build-bot builds. I’m running Ubuntu Linux 16.04 on Intel integrated HD 4000 graphics. Same problem with Fedora 27, though Windows 10 builds work on my system. Guess we just have to wait until the problems with non-Nvidia graphics are solved.